Apache Tomcat 7.0.42

## org.apache.catalina.loader
Class StandardClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.apache.catalina.loader.StandardClassLoader

All Implemented Interfaces:
  StandardClassLoaderMBean

Deprecated. Unnecessary. Will be removed in Tomcat 8.0.x.

    @Deprecated
    public class StandardClassLoader

extends URLClassLoader
implements StandardClassLoaderMBean

Subclass implementation of java.net.URLClassLoader. There are no functional differences between this class and java.net.URLClassLoader.

Version:
  $Id: StandardClassLoader.java 1242113 2012-02-08 21:37:36Z markt $
Author:
  Craig R. McClanahan, Remy Maucherat

Constructor Summary
`StandardClassLoader(URL[] repositories)` Deprecated.
`StandardClassLoader(URL[] repositories, ClassLoader parent)` Deprecated.

Method Summary

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardClassLoader

    public StandardClassLoader(URL[] repositories)

  Deprecated.

### StandardClassLoader

    public StandardClassLoader(URL[] repositories,
                               ClassLoader parent)

  Deprecated.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.